import java.io.*;
import com.sun.xfile.*;

/*
 * Copy a file.
 *
 * Notice that this program cares not whether the source
 * and destination files are local or remote.
 *
 * Usage: java xcopy <src> <dst>
 *
 */
class xcopy {
    public static void main(String av[]) {
        try {
	    String srcFile = av[0];
	    String dstFile = av[1];

	    XFileInputStream  in  = new XFileInputStream(srcFile);
	    XFileOutputStream out = new XFileOutputStream(dstFile);

            int c;
            byte[] buf = new byte[32768];

            while ((c = in.read(buf)) > 0)
                out.write(buf, 0, c);

            in.close();
            out.close();

        } catch (IOException e) {
	    System.err.println(e);
        }
    }
}
